Bug 80417 - Kickstart monitor specification being ignored
Kickstart monitor specification being ignored
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2002-12-25 20:32 EST by Andrew Parker
Modified: 2007-04-18 12:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:51:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Parker 2002-12-25 20:32:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
Using kickstart, specifying any monitor settings is ignored during install on my
Sony Vaio PCH-Z600TEK.  I have tried each of the following entries in my kickstart:

# specify h/vsync
xconfig --depth=16 --resolution=1024x768 --defaultdesktop=KDE --startxonboot
--card="ATI Rage Mobility" --videoram=8192 --hsync 31.5-48.5 --vsync 40.0-70.0

# specify monitor type (works under 7.2, 7.3, 8.0)
xconfig --depth=16 --resolution=1024x768 --defaultdesktop=KDE --startxonboot
--card="ATI Rage Mobility" --videoram=8192 --monitor="Generic Laptop Display
Panel 1024x768"

# do not specify a monitor
xconfig --depth=16 --resolution=1024x768 --defaultdesktop=KDE --startxonboot
--card="ATI Rage Mobility" --videoram=8192

In all of those instances, I get the following entry in /etc/X11/XF86Config

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unknown monitor"
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 70.0
        Option      "dpms"

Note how both the hsync and vsync rates are wrong.  This results in 1024x768
mode missing.

Removing the xconfig line entirely gives the opportunity to configure it
manually.  In this instance, the default monitor (unprobed) is 31.5-37.9/50-70.
 ie, exactly what I get from specifying otherwise in the kickstart.  Manually
changing it at this stage works ok.  Its only the kickstart values that seem to
be ignored.

This problem can be corrected after install with redhat-config-xfree86

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Create kickstart with any of my 3 xconfig values
2.  Install phoebe

Actual Results:  /etc/X11/XF86Config

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Unknown monitor"
        HorizSync    31.5 - 37.9
        VertRefresh  50.0 - 70.0
        Option      "dpms"

Expected Results:  /etc/X11/XF86Config should have the following section

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Generic Laptop Display Panel 1024x768"
        HorizSync    31.5 - 48.5
        VertRefresh  40.0 - 70.0
        Option      "dpms"

Additional info:

Not sure if this applies to other hardware, I've not had a chance to try it out.

kickstart works ok in 8.0.  i can post the kickstart file if needed.
Comment 1 Andrew Parker 2003-01-24 05:26:17 EST
fwiw, this problem persists in 8.0.93 too
Comment 2 Michael Fulbright 2003-02-06 14:47:06 EST
Looking at this issue.
Comment 3 Michael Fulbright 2003-02-06 16:02:25 EST
Comment 4 Andrew Parker 2003-02-21 05:27:22 EST
I can confirm that this works for me in 8.0.94.

Thanks Michael.
Comment 5 Andrew Parker 2003-04-07 19:06:08 EDT
Can also confirm this works in 9 too.
Comment 6 Brent Fox 2003-05-25 10:51:20 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.